Bug 178069 - Update net/py-dpkt to more recent revision
Summary: Update net/py-dpkt to more recent revision
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sofian Brabez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-23 06:00 UTC by rsimmons0
Modified: 2013-05-23 15:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.57 KB, patch)
2013-04-23 06:00 UTC, rsimmons0
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rsimmons0 2013-04-23 06:00:00 UTC
py-dpkt 1.7 was released in March of 2010.  There have been 16 commits since there and almost all of those are bug fixes.

I have opened a bug upstream to release a new version with the bug fixes:
https://code.google.com/p/dpkt/issues/detail?id=107

Until the upstream project does this, here is a patch to bring this up to current revision.

Fix: The source tarball here was made using:
svn checkout http://dpkt.googlecode.com/svn/trunk/ dpkt-read-only

I then removed the .svn directory and changed the directory name to dpkt-1.7r88.  From that I tarballed it into dpkt-1.7r88.tar.gz

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-04-24 10:16:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sbz

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-05-23 15:18:06 UTC
Author: sbz
Date: Thu May 23 14:17:58 2013
New Revision: 318871
URL: http://svnweb.freebsd.org/changeset/ports/318871

Log:
  - Update to 1.8
  - Convert to new option framework
  - Add regression-test target
  
  PR:		ports/178069
  Submitted by:	Robert Simmons <rsimmons0 at gmail.com>

Modified:
  head/net/py-dpkt/Makefile   (contents, props changed)
  head/net/py-dpkt/distinfo   (contents, props changed)
  head/net/py-dpkt/pkg-plist   (contents, props changed)

Modified: head/net/py-dpkt/Makefile
==============================================================================
--- head/net/py-dpkt/Makefile	Thu May 23 13:14:27 2013	(r318870)
+++ head/net/py-dpkt/Makefile	Thu May 23 14:17:58 2013	(r318871)
@@ -1,14 +1,10 @@
-# New ports collection makefile for:	py-dpkt
-# Date created:		18 Apr 2006
-# Whom:			Krzysztof Pawlowski
-#
+# Createe by: Krzysztof Pawlowski
 # $FreeBSD$
-#
 
 PORTNAME=	dpkt
-PORTVERSION=	1.7
+PORTVERSION=	1.8
 CATEGORIES=	net python
-MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
+MASTER_SITES=	GOOGLE_CODE
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	sbz@FreeBSD.org
@@ -18,12 +14,26 @@ USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
 USE_PYTHON_PREFIX=	yes
 
-EXAMPLESDIR=	${PREFIX}/share/examples/py-${PORTNAME}
+DOCSDIR=	${PREFIX}/doc/${PKGNAMEPREFIX:C/[0-9]+//}${PORTNAME}
+EXAMPLESDIR=	${PREFIX}/share/examples/${PKGNAMEPREFIX:C/[0-9]+//}${PORTNAME}
+
+OPTIONS_DEFINE=	DOCS
+
+PORTDOCS=	AUTHORS CHANGES HACKING LICENSE PKG-INFO README
+
+.include <bsd.port.options.mk>
 
-.if !defined(NOPORTEXAMPLES)
 post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S,^,${WRKSRC}/,} ${DOCSDIR}
+.endif
+.if ${PORT_OPTIONS:MEXAMPLES}
 	@${MKDIR} ${EXAMPLESDIR}
 	@(cd ${WRKSRC}/examples/ && ${COPYTREE_SHARE} \* ${EXAMPLESDIR})
 .endif
 
+regression-test: extract
+	@(cd ${WRKSRC} && ${PYTHON_CMD} tests/test-perf2.py)
+
 .include <bsd.port.mk>

Modified: head/net/py-dpkt/distinfo
==============================================================================
--- head/net/py-dpkt/distinfo	Thu May 23 13:14:27 2013	(r318870)
+++ head/net/py-dpkt/distinfo	Thu May 23 14:17:58 2013	(r318871)
@@ -1,2 +1,2 @@
-SHA256 (dpkt-1.7.tar.gz) = 185277cd37ce1d65a95d7a8b8652bf33725645ea7ca0086baf3fe643506abe72
-SIZE (dpkt-1.7.tar.gz) = 66396
+SHA256 (dpkt-1.8.tar.gz) = c56de2f9dc2f4654a356de0f0d458bb7b1c86c374988e8b4f358556f7dbe0507
+SIZE (dpkt-1.8.tar.gz) = 76311

Modified: head/net/py-dpkt/pkg-plist
==============================================================================
--- head/net/py-dpkt/pkg-plist	Thu May 23 13:14:27 2013	(r318870)
+++ head/net/py-dpkt/pkg-plist	Thu May 23 14:17:58 2013	(r318871)
@@ -80,6 +80,9 @@
 %%PYTHON_SITELIBDIR%%/dpkt/ipx.py
 %%PYTHON_SITELIBDIR%%/dpkt/ipx.pyc
 %%PYTHON_SITELIBDIR%%/dpkt/ipx.pyo
+%%PYTHON_SITELIBDIR%%/dpkt/llc.py
+%%PYTHON_SITELIBDIR%%/dpkt/llc.pyc
+%%PYTHON_SITELIBDIR%%/dpkt/llc.pyo
 %%PYTHON_SITELIBDIR%%/dpkt/loopback.py
 %%PYTHON_SITELIBDIR%%/dpkt/loopback.pyc
 %%PYTHON_SITELIBDIR%%/dpkt/loopback.pyo
@@ -152,9 +155,15 @@
 %%PYTHON_SITELIBDIR%%/dpkt/smb.py
 %%PYTHON_SITELIBDIR%%/dpkt/smb.pyc
 %%PYTHON_SITELIBDIR%%/dpkt/smb.pyo
+%%PYTHON_SITELIBDIR%%/dpkt/snoop.py
+%%PYTHON_SITELIBDIR%%/dpkt/snoop.pyc
+%%PYTHON_SITELIBDIR%%/dpkt/snoop.pyo
 %%PYTHON_SITELIBDIR%%/dpkt/ssl.py
 %%PYTHON_SITELIBDIR%%/dpkt/ssl.pyc
 %%PYTHON_SITELIBDIR%%/dpkt/ssl.pyo
+%%PYTHON_SITELIBDIR%%/dpkt/ssl_ciphersuites.py
+%%PYTHON_SITELIBDIR%%/dpkt/ssl_ciphersuites.pyc
+%%PYTHON_SITELIBDIR%%/dpkt/ssl_ciphersuites.pyo
 %%PYTHON_SITELIBDIR%%/dpkt/stp.py
 %%PYTHON_SITELIBDIR%%/dpkt/stp.pyc
 %%PYTHON_SITELIBDIR%%/dpkt/stp.pyo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Sofian Brabez freebsd_committer 2013-05-23 15:18:43 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!